Subject: RE: bug#3395: 23.0.94; Remove colon after option etc. name

From: "Drew Adams" <[email-masked]>
Date: Thu, 28 May 2009 09:08:25 -0700

>  > I specifically went to the trouble of speaking in generic 
>  > terms, talking about "a command that picks up the symbol
>  > at point", without referring to any specific
>  > such command, such as `variable-at-point'.
> 
> The colon _has_ punctuation syntax in custom buffers.  It's the syntax
> table chosen by `variable-at-point' which messes up things in 
> your case.

I don't use `variable-at-point'. I do use a command that uses Emacs-Lisp symbol
syntax, which is the right syntax to use here.

Please stop trying to fix the command. The fix is to remove the useless colon.
Trivial.

>  > The fix I mentioned lets you use any command at all that 
>  > picks up symbol syntax here. A change to `variable-at-point'
>  > is not what I'm asking for - that will not
>  > affect other commands that (already DTRT) pick up a symbol 
>  > name at or near point.
> 
> Commands that do not change the syntax table do get this right.  Try,
> for example, info-lookup on such an item.  It should even work for
> unlispified items.

That's fine, but it is totally unrelated to what I reported and requested.

(FWIW, the interactive spec of `info-lookup'
(`info-lookup-interactive-arguments') is very complex, requires specific
knowledge of the given mode, and so on.)

This is not about changing the command. It is simply about removing the useless
colon. Is that too hard?

>  > Simply removing the colon solves the problem, and it has 
>  > absolutely no negative effect. Besides being bothersome here,
>  > the colon is 100% useless.
> 
> Changing customization code is 100% dangerous.

Don't be ridiculous. You are making, in several separate ways, a mountain out of
a mole hill.